/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ICustomElementFoundation } from '@tylertech/forge-core';
import { IButtonAreaAdapter } from './button-area-adapter';
export interface IButtonAreaFoundation extends ICustomElementFoundation {
    disabled: boolean;
}
export declare class ButtonAreaFoundation implements IButtonAreaFoundation {
    private _adapter;
    private _disabled;
    private _clickListener;
    private _keydownListener;
    private _pointerdownListener;
    private _slotListener;
    constructor(_adapter: IButtonAreaAdapter);
    initialize(): void;
    disconnect(): void;
    private _handleClick;
    private _handleKeydown;
    private _handlePointerdown;
    private _handleSlotChange;
    private _handleButtonDisabled;
    private _shouldIgnoreEvent;
    get disabled(): boolean;
    set disabled(value: boolean);
}
